Query nodes
Technical previewReturns a paginated, filtered, and sorted page of extracted_fact nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/extracted_fact/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "extracted_fact", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "display": "string", "codes": [ { "system": "string", "code": "string", "display": "string" } ], "authoredAt": "string", "type": "condition", "effectivePeriod": { "start": "string", "end": "string" }, "status": "active", "assertedAt": "string", "statusChangedAt": "string", "source": { "type": "fhir", "origin": "string", "ref": "string", "recordedAt": "string", "ingestedAt": "string" }, "ingestionId": "string" } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of fact nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/fact/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "fact", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "display": "string", "codes": [ { "system": "string", "code": "string", "display": "string" } ], "authoredAt": "string", "type": "condition", "effectivePeriod": { "start": "string", "end": "string" }, "status": "active", "assertedAt": "string", "statusChangedAt": "string", "members": [ { "extractedFactId": "string" } ], "fieldVerdicts": { "property1": { "picked": { "extractedFactId": "string", "score": 0 }, "agreed": [ { "extractedFactId": "string", "score": 0 } ], "conflict": [ { "extractedFactId": "string", "score": 0, "value": null } ] }, "property2": { "picked": { "extractedFactId": "string", "score": 0 }, "agreed": [ { "extractedFactId": "string", "score": 0 } ], "conflict": [ { "extractedFactId": "string", "score": 0, "value": null } ] } } } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of extracted_narrative nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/extracted_narrative/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "extracted_narrative", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "summary": "string", "effectiveAt": "string", "source": { "type": "fhir", "origin": "string", "ref": "string", "recordedAt": "string", "ingestedAt": "string" }, "content": "string", "metadata": { "property1": null, "property2": null }, "ingestionId": "string" } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of narrative_passage nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/narrative_passage/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "narrative_passage", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "extractedNarrativeId": "string", "content": "string", "sectionTitle": "string", "offsetStart": 0, "offsetEnd": 0 } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of narrative nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/narrative/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "narrative", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "effectiveAt": "string", "modelSource": { "provider": "string", "model": "string", "version": "string" }, "members": [ { "narrativePassageId": "string" } ], "title": "string", "summary": "string", "quote": { "narrativePassageId": "string", "text": "string", "offsetStart": 0, "offsetEnd": 0 }, "boundFactTypes": [ "condition" ], "boundEventTypes": [ "encounter" ] } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of learned_memory nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/learned_memory/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "learned_memory", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "type": "symptom", "content": "string", "sessionId": "string" } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of extracted_clinical_event nodes from the patient context graph — the structured counterpart to list-nodes, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/nodes/extracted_clinical_event/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "extracted_clinical_event", "id": "string", "createdAt": "string", "updatedAt": "string", "payload": { "type": "encounter", "timestamp": "string", "effectivePeriod": { "start": "string", "end": "string" }, "summary": "string", "authoredAt": "string", "kind": "inpatient", "reasonCodes": [ { "system": "string", "code": "string", "display": "string" } ], "location": "string", "dischargeDisposition": "string", "plannedPeriod": { "start": "string", "end": "string" }, "statusChangedAt": "string", "source": { "type": "fhir", "origin": "string", "ref": "string", "recordedAt": "string", "ingestedAt": "string" }, "ingestionId": "string" } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}